Subject: [YANG] yangdiff

From: Andy Bierman <[email-masked]>
Date: Sat, 08 Mar 2008 13:26:56 -0800

Hi,

I'm working on a program that compares 2 versions of the same YANG [sub]module,
ignoring location, clause order, etc.  I want to check for illegal
differences between 2 modules, but of course, that section is still TBD.

MUST stay the same from initial version on:
    - [sub]module name
    - namespace [?]
    - prefix [?]
    - object name (where object == rpc, notif, top-level data)
    - what else?

SHOULD stay the same:
    - ??

MAY change at any time:
    - ??

I hope we can work out some change control details this week.
These are not just CLRs.  A compliant manager needs to
know what API changes and non-changes should be expected from
a compliant agent, for any YANG module.

Major details:
   - what changes need to force a namespace change,
     or is that even allowed?
   - which SMI change control rules should be applied?
   - does version control creep into the import clause syntax,
     and if so, what are those details?
   - YANG module schema advertisement details
   - capability-based conformance details

I suggest we use f2f time during the many non-NM meeting slots,
and try to figure out some version control and capability-based
conformance control details.

Andy

_______________________________________________
YANG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/yang